--------------------------------------------------------------------------------------
SELECT   COUNT(*) AS nbr_doublon, periode, temps, annee, mois, jour, heure
FROM     koko
GROUP BY periode, temps, annee, mois, jour, heure
HAVING   COUNT(*) > 1

DELETE koko 
FROM koko 
LEFT OUTER JOIN (
        SELECT MIN(idx) as idx, periode, temps, annee, mois, jour, heure
        FROM koko
        GROUP BY periode, temps, annee, mois, jour, heure
    ) as t1 
    ON koko.idx = t1.idx
WHERE t1.idx IS NULL

--------------------------------------------------------------------------------------
SELECT   COUNT(*) AS nbr_doublon, periode, annee, mois, jour, heure
FROM     e4_5f_01_8d_72_ac_mesures
GROUP BY periode, annee, mois, jour, heure
HAVING   COUNT(*) > 1

DELETE e4_5f_01_8d_72_ac_mesures 
FROM e4_5f_01_8d_72_ac_mesures 
LEFT OUTER JOIN (
        SELECT MIN(idx) as idx, periode, annee, mois, jour, heure
        FROM e4_5f_01_8d_72_ac_mesures
        GROUP BY periode, annee, mois, jour, heure
    ) as t1 
    ON e4_5f_01_8d_72_ac_mesures.idx = t1.idx
WHERE t1.idx IS NULL

--------------------------------------------------------------------------------------
SELECT   COUNT(*) AS nbr_doublon, periode, temps, annee, mois, jour, heure
FROM     d8_3a_dd_31_eb_91_mesures
GROUP BY periode, temps, annee, mois, jour, heure
HAVING   COUNT(*) > 1

DELETE d8_3a_dd_31_eb_91_mesures 
FROM d8_3a_dd_31_eb_91_mesures 
LEFT OUTER JOIN (
        SELECT MIN(idx) as idx, periode, temps, annee, mois, jour, heure
        FROM d8_3a_dd_31_eb_91_mesures
        GROUP BY periode, temps, annee, mois, jour, heure
    ) as t1 
    ON d8_3a_dd_31_eb_91_mesures.idx = t1.idx
WHERE t1.idx IS NULL
